** Detection KMS
**              input real component
**              |   input image component
**              |   |   output sinphase component
**              |   |   |    output kvadrature component
**              |   |   |    |    output full amplitude
**              |   |   |    |    |    output full phase
**              |   |   |    |    |    |     -    
**              |   |   |    |    |    |    |
.subckt detkms1 in1 in2 outs outk outa outp ampl=1.0  freq=100k phase=0
a1 [in1 1] 5 sigm1
a2 [in2 2] 6 sigm1
a3 [in1 3] 7 sigm2
a4 [in2 4] 8 sigm1
V1 1 0 DC=0 sin 0 {1.0/ampl} {freq} 0 0 {90.0+phase}
V2 2 0 DC=0 sin 0 {1.0/ampl} {freq} 0 0 {phase}
V3 3 0 DC=0 sin 0 {1.0/ampl} {freq} 0 0 {phase}
V4 4 0 DC=0 sin 0 {1.0/ampl} {freq} 0 0 {90.0+phase}
asm1 [5 6] outs sm1
asm2 [7 8] outk sm1
B1 outa 0 V=sqrt(v(outs)^2+v(outk)^2)
R1 outa 0 100k
B2 outp 0 V=(180.0/pi)*atan(v(outk)/v(outs))
R2 outp 0 100k
.model sigm1 mult(in_offset=[0 0] in_gain=[1 1] out_gain=1 out_offset=0)
.model sigm2 mult(in_offset=[0 0] in_gain=[1 1] out_gain=-1 out_offset=0)
.model sm1 summer(in_offset=[0 0] in_gain=[1 1] out_gain=1 out_offset=0)
.ends detkms1
